{{define "poolUpload"}}
<button id="newPool" onclick="newPoolClick()">Neuer Pool</button>
<button id="uploadPoolPic" onclick="uploadPoolPicClick()">Zu Pool hinzufügen</button>
<button id="generatePool" onclick="generatePoolClick()">Pool generieren</button>
<button id="inspectPools" onclick="inspectPoolsClick(); showPool();">Pools inspizieren</button>

<div id="newPoolFormDiv" class="popup-form hidden">
  <form action="/picx/addPool" method="post">
    <label for="newPoolName">Name:</label>
    <input type="text" name="newPoolName" id="newPoolName"><br>
    <label for="newPoolSize">Size (px):</label>
    <input type="number" name="newPoolSize" id="newPoolSize"><br>
    <input type="submit" value="Create New Pool">
  </form>
</div>

<div id="uploadToPoolDiv" class="popup-form hidden">
  <form action="/picx/uploadToPool" method="post" enctype="multipart/form-data" name="poolUploadForm">
    <label for="pools">Upload zum Pool:</label>
    <select name="pools" id="pools">
      {{range .Pools}}
      <option value="{{.IDHex}}">{{.Name}}, {{.Size}}px</option>
      {{end}}
    </select>
    <input type="file" name="fileUpload" id="fileUpload" multiple>
    <input type="submit" value="Upload">
  </form>
</div>

<div id="generatePoolDiv" class="popup-form hidden">
  <form action="/picx/makePool" method="post">
    <label for="poolName">Name:</label>
    <input type="text" name="poolName" id="poolName" required>
    <label for="poolLength">Number of Images:</label>
    <input type="number" name="poolLength" id="poolLength" min="1" value="1">
    <label for="poolSize">Size in px:</label>
    <input type="number" name="poolSize" id="poolSize" min="1" value="24">
    <label for="startingColor">Color:</label>
    <input type="color" name="startingColor" id="startingColor">

    <label for="colorRangeR">Color Range Rot:</label>
    <input type="number" name="colorRangeR" id="colorRangeR" min="0" max="255" value="0">
    <label for="colorRangeG">Color Range Grün:</label>
    <input type="number" name="colorRangeG" id="colorRangeG" min="0" max="255" value="0">
    <label for="colorRangeB">Color Range Blau:</label>
    <input type="number" name="colorRangeB" id="colorRangeB" min="0" max="255" value="0">

    <label for="noiseLevel">Noise Level: <span id="noiseLevelText">25</span> %</label>
    <input type="range" id="noiseLevelSlider" name="noiseLevel" id="noiseLevel" min="10" max="90" step="1" value="25"
      onchange="changeSlider();">
    <label for="noiseColor">Farbe für Noise:</label>
    <input type="color" name="noiseColor" id="noiseColor">

    <input type="submit" value="Create Pool">
  </form>
</div>

<div id="inspectPoolDiv" class="popup-form hidden">

  <form action="">
    <select name="poolsInsp" id="poolsInsp" onchange="showPool()">
      {{range .Pools}}
      <option value="{{.IDHex}}">{{.Name}}, {{.Size}}px</option>
      {{end}}
    </select>
  </form>

  <div id="poolPics"></div>
</div>

{{end}}